org.apache.maven.scm.provider.local.repository

## Class LocalScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.local.repository.LocalScmProviderRepository

-     public class LocalScmProviderRepository
      extends ScmProviderRepository

  Version:
    $Id: LocalScmProviderRepository.java 483105 2006-12-06 15:07:54Z evenisse $
  Author:
    Trygve Laugstøl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalScmProviderRepository(String root, String module)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFile(String path)`
    `String` | `getModule()`
    `String` | `getRoot()`
    `boolean` | `isFileAdded(String path)`

    - ### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

      `getParent, getPassword, getRelativePath, getUser, isPersistCheckout, setPassword, setPersistCheckout, setUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalScmProviderRepository

          public LocalScmProviderRepository(String root,
                                    String module)

      Parameters:
        `root` -
        `module` -

  - ### Method Detail

    - #### getRoot

          public String getRoot()

      Returns:
        Returns the root.

    - #### getModule

          public String getModule()

      Returns:
        Returns the module.

    - #### addFile

          public void addFile(String path)

    - #### isFileAdded

          public boolean isFileAdded(String path)

Copyright © 2003–2015. All rights reserved.